diff -Naur inav-orig/server/ethernet.cpp inav/server/ethernet.cpp
--- inav-orig/server/ethernet.cpp	2008-03-19 19:30:00.000000000 -0400
+++ inav/server/ethernet.cpp	2008-10-13 12:43:38.000000000 -0400
@@ -25,8 +25,12 @@
 #ifdef linux
 #include <netinet/ether.h>
 #endif
+#include <netinet/in_systm.h>
 #include <netinet/in.h>
 
+/* added by MLH */
+#define ether_addr_octet octet
+
 Ethernet::Ethernet()
 {
 	header_ = new struct ether_header;
diff -Naur inav-orig/server/graphData.cpp inav/server/graphData.cpp
--- inav-orig/server/graphData.cpp	2008-03-19 19:08:59.000000000 -0400
+++ inav/server/graphData.cpp	2008-10-13 12:45:35.000000000 -0400
@@ -28,6 +28,9 @@
 #include <algorithm>
 #include <netdb.h>
 
+/* added by MLH */
+#include <sys/socket.h>
+
 GraphData::GraphData( Mutex &coutMutex, Mutex &logMutex, std::ofstream *log ): BaseData( coutMutex, logMutex, log)
 {
 	edgeLife_ = communication::EdgeLife;
diff -Naur inav-orig/server/inavServer.cpp inav/server/inavServer.cpp
--- inav-orig/server/inavServer.cpp	2008-03-04 03:29:38.000000000 -0500
+++ inav/server/inavServer.cpp	2008-10-13 12:46:58.000000000 -0400
@@ -53,7 +53,7 @@
 
 int main(int argc, char *argv[])
 {
-	std::cout << "INAV SERVER v" << INAV_VERSION << std::endl;
+	//std::cout << "INAV SERVER v" << INAV_VERSION << std::endl;
 	std::vector<Thread *> threads;
 	int returnCode;
 
diff -Naur inav-orig/server/makefile inav/server/makefile
--- inav-orig/server/makefile	2008-03-04 03:34:40.000000000 -0500
+++ inav/server/makefile	2008-10-14 07:22:56.000000000 -0400
@@ -1,8 +1,11 @@
 NEWOBJS=dataQueue.o
 
 OBJS= clientComm.o clientCommData.o baseData.o snifferData.o sniffer.o ethernet.o ip.o tcp.o packet.o filterData.o graphData.o bandwidthMonitor.o ../common/semaphore.o icmp.o traceroute/tracerouteData.o traceroute/tracerouteThread.o ../common/commandLineParser.o ../common/xmlParser.o helper.o udp.o ../common/parseCommas.o debugThread.o ../common/mutex.o ../common/threads.o $(NEWOBJS)
+FBSDOBJS= clientComm.o clientCommData.o baseData.o snifferData.o sniffer.o ethernet.o ip.o tcp.o packet.o filterData.o graphData.o bandwidthMonitor.o semaphore.o icmp.o tracerouteData.o tracerouteThread.o commandLineParser.o xmlParser.o helper.o udp.o parseCommas.o debugThread.o mutex.o threads.o $(NEWOBJS)
 TESTOBJS=$(OBJS) tester.o 
+FBSDTESTOBJS=$(FBSDOBJS) tester.o
 SERVOBJS=$(OBJS) inavServer.o
+FBSDSERVOBJS=$(FBSDOBJS) inavServer.o
 CC=g++
 CXXFLAGS=-ggdb -g3 -D INAV_VERSION=$(VERSION)
 OPTOMIZE=-O2 -funroll-loops -fprefetch-loop-arrays 
@@ -13,14 +16,14 @@
 VERSION=$(shell ./version.sh)
 
 inavd: $(SERVOBJS)
-	$(CC) $(LDFLAGS) -o $@ $(SERVOBJS)
+	$(CC) $(LDFLAGS) -o $@ $(FBSDSERVOBJS)
 
 update: removeBuild removeMinorVersion svnUpdate inavd
 
 all: unitTest inavd 
 
 unitTest: $(TESTOBJS)
-	$(CC) $(LDTESTFLAGS) -o $@ $(TESTOBJS)
+	$(CC) $(LDTESTFLAGS) -o $@ $(FBSDTESTOBJS)
 
 svnUpdate:
 	svn update
@@ -44,4 +47,4 @@
 release: increaseVersion $(SERVOBJS) inavd
 
 clean:
-	-rm *.o ../common/*.o inavd unitTest inavd.log traceroute/*.o
+	-rm *.o inavd unitTest inavd.log
diff -Naur inav-orig/server/sniffer.cpp inav/server/sniffer.cpp
--- inav-orig/server/sniffer.cpp	2008-03-26 17:40:10.000000000 -0400
+++ inav/server/sniffer.cpp	2008-10-13 12:37:59.000000000 -0400
@@ -31,6 +31,7 @@
 //#include<net/ethernet.h>
 //#include<netinet/ether.h>
 #include<unistd.h>
+#include<netinet/in_systm.h>
 #include<netinet/ip.h>
 #include<algorithm>
 #include<stdexcept>
